%global pkg_name text

%global common_summary Haskell %{pkg_name} library

%global common_description An efficient packed Unicode text type.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.1.0.1
Version:        0.11.0.6
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 ppc64
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-bytestring-prof, ghc-deepseq-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

echo %doc README.markdown >> %{name}-devel.files


%check
# needs criterion
#cd tests
#make


%ghc_lib_package


%changelog
* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.11.0.6-1
- update to 0.11.0.6 (haskell-platform-2011.1.0.1)
- BR ghc-Cabal-devel and depends

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 0.11.0.5-3
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.11.0.5-2
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 0.11.0.5-1
- update to 0.11.0.5 for haskell-platform-2011.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Jens Petersen <petersen@redhat.com> - 0.11.0.0-2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.11.0.0-1
- update to 0.11.0.0

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.10.0.0-2
- rebuild

* Mon Nov  1 2010 Jens Petersen <petersen@redhat.com> - 0.10.0.0-1
- update to 0.10.0.0
- README renamed to README.markdown

* Wed Sep 29 2010 jkeating - 0.8.1.0-2
- Rebuilt for gcc bug 634757

* Wed Sep  1 2010 Jens Petersen <petersen@redhat.com> - 0.8.0.0-1
- update to 0.8.0.0
- include README in devel

* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 0.7.2.1-1
- BSD license
- requires deepseq

* Sat Jul 31 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.2.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
